Bug 119160 - Mozilla focus disappears
Mozilla focus disappears
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: mozilla (Show other bugs)
rawhide
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-25 14:54 EST by Petr Tuma
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-29 09:11:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Tuma 2004-03-25 14:54:48 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040312

Description of problem:
Sometimes Mozilla stops accepting keys, as if none of its window
components was focused, even though the window itself is in focus.
Clicking in the window does not help ... sounds a lot like bug 96992
except that bug is closed so I could not add anything to it.

By the way, I've encountered this bug in earlier RedHat/Fedora
releases of Mozilla as well. On the other hand, it never occured when
I installed a Mozilla.ORG build instead of RedHat/Fedora RPM.


Version-Release number of selected component (if applicable):
mozilla-1.6-2

How reproducible:
Sometimes

Steps to Reproduce:
Please see bug 96992, I did not figure anything out myself except for
feeling that the bug is somehow associated with switching virtual
desktops.


Additional info:

Please see bug 96992.
Comment 1 Petr Tuma 2004-05-03 06:38:12 EDT
One thing I found out regarding reproducibility:

1. Open two windows in Mozilla with some pages in them that have input
fields, ideally like this one where I am filling in the Bugzilla form.
Each window on a different workspace.

2. Start typing in one of the windows in the input field, be careful
to leave mouse cursor inside the input field as well

3. In the middle of typing, use a hotkey to switch to another
workspace with another Mozilla window. If that window was focused
before, it will be now, but it will not accept any keys. Clicking on
it will do the assigned actions, but will not set the focus to the
window. Sometimes, switching back to the first window does not fix the
problem. Also, when the focus problem appears, things such as cursor
keys in input fields stop working, several things are painted dark
blue as having focus (i.e. sidebar with bookmarks, top line with URL
input, etc.). Holding TAB to jump between items will jump in one
window only, even when another workspace is displayed, etc.

Does not work 100%, but fiddling around with it for about 3-5 tries
does the trick pretty reliably.
Comment 2 Scott Kraus 2004-10-13 14:33:39 EDT
I would also like to add that I have seen this on RHEL3.1 & Mozilla
1.6 as well- not just a Fedora Core issue.
Comment 3 John Thacker 2006-10-29 09:11:26 EST
Please note that FC1 and FC2 are no longer supported even by Fedora Legacy, and
that FC3 and FC4 are supported by Fedora Legacy only for security issues. 
Please install a still supported version and retest.  If this still occurs on
FC3 or FC4 and is a security issue, please reopen the bug and assign it to that
version and Fedora Legacy.  If it still occurs on FC5, please reopen and assign
to the correct version.  

mozilla was removed from FC6, although the seamonkey application suite,
available from Fedora Extras, is derived from it.  Similar bugs may also be
present in firefox, so if the bug occurs with firefox in FC6, the bug should be
reassigned to FC6 and the firefox component.

Note You need to log in before you can comment on or make changes to this bug.